/*
 * (C) Copyright IBM Corp. 1999  All rights reserved.
 *
 * US Government Users Restricted Rights Use, duplication or
 * disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
 *
 * The program is provided "as is" without any warranty express or
 * implied, including the warranty of non-infringement and the implied
 * warranties of merchantibility and fitness for a particular purpose.
 * IBM will not be liable for any damages suffered by you as a result
 * of using the Program. In no event will IBM be liable for any
 * special, indirect or consequential damages or lost profits even if
 * IBM has been advised of the possibility of their occurrence. IBM
 * will not be liable for any third party claims against you.
 */

package com.ibm.xml.dsig;

import org.xml.sax.*;

/**
 * @author YAGISHITA Kazuyo &lt;kazuyoy@jp.ibm.com&gt;
 */
class XDSSecurityContextHandler extends HandlerBase {
  String id, keyStorePath, keyStorePassword, keyPassword;
  String digestAlgorithm, signatureAlgorithm;

  public void startElement(String name, AttributeList amap) throws SAXException {
    if (name.equals("Signer")) {
      this.id = amap.getValue(0);
    } else if (name.equals("KeyStorePath")) {
      this.keyStorePath = amap.getValue(0);
    } else if (name.equals("KeyStorePassword")) {
      this.keyStorePassword = amap.getValue(0);
    } else if (name.equals("KeyPassword")) {
      this.keyPassword = amap.getValue(0);
    } else if (name.equals("DigestAlgorithm")) {
      this.digestAlgorithm = amap.getValue(0);
    } else if (name.equals("SignatureAlgorithm")) {
      this.signatureAlgorithm = amap.getValue(0);
    }
  }    
  
}
